Bug 61000 - 2.2.19-6.2.12enterprise kernel detects but does not use >1GB
2.2.19-6.2.12enterprise kernel detects but does not use >1GB
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-11 13:00 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-03-11 13:00:46 EST
From Bugzilla Helper:

Description of problem:
running RH6.2 2.2.19-6.2.12enterprise kernel (should have BIGMEM support) on a 
Dell PowerEdge 2450 dual CPU, 2GB RAM.

the kernel detects 2GB of memory, but the page cache (file system cache) does 
not utilize any memory above the 1GB mark, even under intense disk utilization.


# cat /proc/meminfo 
        total:    used:    free:  shared: buffers:  cached:
Mem:  2147037184 989044736 1157992448        0 166928384 667865088
Swap: 1079689216 17092608 1062596608
MemTotal:   2096716 kB
MemFree:    1130852 kB
MemShared:        0 kB
Buffers:     163016 kB
Cached:      652212 kB
BigTotal:   1179636 kB
BigFree:    1090384 kB
SwapTotal:  1054384 kB
SwapFree:   1037692 kB





Version-Release number of selected component (if applicable):
2.2.19-6.2.12enterprise

How reproducible:
Always

Steps to Reproduce:
1.boot linux on 2GB machine
2.lots of disk access (nfs, imap, etc)
3.sum of memory used never goes above 1GB even though system sees 2GB
	

Additional info:
Comment 1 Arjan van de Ven 2002-03-11 13:08:16 EST
BigTotal:   1179636 kB
BigFree:    1090384 kB


it is using it, just not a lot.
2.2 kernels do not use highmem for the pagecache (diskcache etc), only 2.4
kernels do. So only applications doing malloc() use highmem on 2.2
Comment 2 Need Real Name 2002-03-13 19:11:32 EST
wow, that's pretty weak.  guess i'll look into migrating to RH7.2 so i can run 
the 2.4.x kernel.  thanks!
Comment 3 Bugzilla owner 2004-09-30 11:39:25 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.